/* Typography */

//@import url('https://fonts.googleapis.com/css2?family=Martian+Mono:wght@100;200;300;400;500;600;700;800&display=swap');
//@import url('https://fonts.googleapis.com/css2?family=Martian+Mono:wght@100;200;300;400;500;600;700;800&family=Rubik:wght@400;700&display=swap');

/* Refer to Gulp task getFonts and gfonts.neon config file in src - use .woff strict */
$font-base: 'Rubik', sans-serif;
$font-heading: 'Martian Mono', monospace;

@mixin font-base {
    font-family: $font-base,
}

@mixin font-heading {
    font-family: $font-heading,
}

$font-weights: (
  100: 100,
  200: 200,
  300: 300,
  400: 400,
  500: 500,
  600: 600,
  700: 700,
  800: 800,
  900: 900,
  normal: 400,
  bold: 700,
  bolder: 900
);

:root {
    @each $weight-name, $weight-value in $font-weights {
      --fw-#{$weight-name}: #{$weight-value};
    }
}

@each $weight-name, $weight-value in $font-weights {
    .fw-#{$weight-name} {
        font-weight: var(--fw-#{$weight-name}, $weight-value);
    }
}

$font-sizes: (
  small: .6rem,
  smaller: .8rem,
  bigger: 1.2rem,
  big: 1.4rem,
  biggest: 1.8rem
);

:root {
    @each $size-name, $size-value in $font-sizes {
      --fs-#{$size-name}: #{$size-value};
    }
}

@each $size-name, $size-value in $font-sizes {
    .fs-#{$size-name} {
        font-size: var(--fw-#{$size-name}, $size-value);
    }
}

body {
  @include font-base;
  font-size: 15px;
  line-height: 1.7;
  font-weight: 400;
  @include media-breakpoint-up(lg) {
    font-size: 16px;
  }
}

b, strong {
  font-weight: bold;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
  @include font-heading;
  font-weight: 700;
  clear: both;
}

ol, ul {
    padding-left: 1rem;
}

/* Utility classes */

.font-base {
  @include font-base;
}
.font-heading {
  @include font-heading;
}